%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: 	Network traffic analyzer
Name: 		ethereal
Version:	0.10.13
Release: 	1.EL3.1.XOS.1
License: 	GPL
Group: 		Applications/Internet
Source0: 	http://www.ethereal.com/distribution/%{name}-%{version}.tar.gz
Source1:	ethereal.pam
Source2:	ethereal.console
Source3:	ethereal.desktop
Source4:	ethereal.png
Patch1:		ethereal-0.10.0a-ia64-segfault.patch
Patch2:		ethereal-0.10.6-old.patch
Patch5:		ethereal-0.10.12-pie.patch
Url: 		http://www.ethereal.com/
BuildRoot: 	%{_tmppath}/%{name}-root
Requires: 	libpcap >= 0.6
Requires: 	net-snmp >= 5.0
BuildRequires: 	libpcap >= 0.6
BuildRequires: 	net-snmp-devel >= 5.0
BuildRequires: 	net-snmp-utils >= 5.0
BuildRequires: 	gtk+-devel >= 1.2
BuildRequires: 	zlib-devel
BuildRequires:  openssl-devel
BuildRequires:  elfutils-devel, krb5-devel
BuildRequires:  python


%package	gnome
Summary:	Red Hat Gnome integration for ethereal and ethereal-usermode
Group:		Applications/Internet
Requires: 	gtk+ >= 1.2
Requires:	usermode >= 1.37
Requires:	ethereal = %{version}-%{release}


%description
Ethereal is a network traffic analyzer for Unix-ish operating systems.

This package lays base for libpcap, a packet capture and filtering 
library, contains command-line utilities, contains plugins and 
documentation for ethereal. A graphical user interface is packaged 
separately to GTK+ package.

%description gnome
Contains ethereal for Gnome 1.2 and desktop integration file


%prep
%setup -q
%patch1 -p1 -b .ia64
%patch2 -p1 -b .old
%patch5 -p1 -b .pie

%build
%ifarch s390 s390x
export PIECFLAGS="-fPIE"
%else
export PIECFLAGS="-fpie"
%endif
#./autogen.sh
export CFLAGS="$RPM_OPT_FLAGS $CPPFLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS $CPPFLAGS"
export LDFLAGS="$LDFLAGS -lm"
%configure \
   --bindir=%{_sbindir} \
   --enable-zlib \
   --enable-ipv6 \
   --with-net-snmp \
   --with-gnu-ld \
   --disable-static \
   --disable-usr-local \
   --disable-gtk2 \
   --with-pic \
   --with-ssl \
   --with-pcre=no \
   --with-plugindir=%{_libdir}/%{name}/plugins/%{version}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

# The evil plugins hack
perl -pi -e 's|-L../../epan|-L../../epan/.libs|' plugins/*/*.la

make DESTDIR=$RPM_BUILD_ROOT install

# install support files for usermode, gnome and kde
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/ethereal
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps/ethereal
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT/%{_bindir}/ethereal

# install man
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 *.1 $RPM_BUILD_ROOT/%{_mandir}/man1

# Install python stuff.
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}
install -m 644 ethereal_be.py ethereal_gen.py  $RPM_BUILD_ROOT%{python_sitelib}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/applications/net-ethereal.desktop
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/%{_datadir}/pixmaps

# Remove .la files 
rm -f $RPM_BUILD_ROOT/%{_libdir}/%{name}/plugins/%{version}/*.la

# Remove .la files in libdir
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* doc/
%{_sbindir}/editcap
%{_sbindir}/idl2eth
%{_sbindir}/tethereal
%{_sbindir}/mergecap
%{_sbindir}/text2pcap
%{_sbindir}/dftest
%{_sbindir}/capinfos
%{_sbindir}/randpkt
%{python_sitelib}/*
%{_libdir}/lib*
%{_mandir}/man1/editcap.*
%{_mandir}/man1/tethereal.*
%{_mandir}/man1/idl2eth.*
%{_mandir}/man1/mergecap.*
%{_mandir}/man1/text2pcap.*
%{_mandir}/man1/capinfos.*
%{_mandir}/man4/ethereal-filter.*
%{_libdir}/ethereal
%{_sysconfdir}/pam.d/ethereal
%{_sysconfdir}/security/console.apps/ethereal
%{_datadir}/ethereal

%files gnome
%defattr(-,root,root)
%{_datadir}/applications/net-ethereal.desktop
%{_datadir}/pixmaps/ethereal.png
%{_bindir}/ethereal
%{_sbindir}/ethereal
%{_mandir}/man1/ethereal.*

%changelog
* Sun Nov 20 2005 X/OS Linux Team <xoslinux@xos.nl> 0.10.13-1.EL3.1.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on ethereal-0.10.13-1.EL3.1.src.rpm
  (md5sum of original source rpm: 840cbaeb806c2fe6a49c5dbbeb453420).

* Thu Oct 20 2005 Radek Vokal <rvokal@redhat.com> 0.10.13-1.EL3.1
- upgrade to 0.10.13
- CAN-2005-3241 Multiple ethereal issues fixed (#171062)

* Tue Aug 02 2005 Jindrich Novy <jnovy@redhat.com> 0.10.12-1.EL3.1
- update to 10.12, this fixes CAN-2005-2361 up to CAN-2005-2367 (#164243)
- add the rest of the cleanup patch
- package /usr/sbin/randpkt
- compile as PIE

* Thu May 05 2005 Radek Vokal <rvokal@redhat.com> 0.10.11-1.EL3.1
- new release, several security flaws fixed (#156911)

* Mon Mar 14 2005 Radek Vokal <rvokal@redhat.com> 0.10.10-1.EL3.1
- new release, fixes three security and stability-related issues:
- a buffer overflow in the Etheric dissector. (CAN-2005-0704)
- the GPRS-LLC dissector could crash if the "ignore cipher bit" option was enabled. (CAN-2005-0705)
- a buffer overflow in the 3GPP2 A11 dissector (CAN-2005-0699)
- a buffer overflow in the IAPP dissector.
- a bug in the JXTA dissector could make Ethereal crash.
- a bug in the sFlow dissector could make Ethereal crash. 

* Wed Jan 19 2005 Radek Vokal <rvokal@redhat.com> 0.10.9-1.EL3.1
- release fixes the following security-related issues: (#145483)
- The COPS dissector could go into an infinite loop. (CAN-2005-0006)
- The DLSw dissector could cause an assertion (CAN-2005-0007)
- The DNP dissector could cause memory corruption. (CAN-2005-0008)
- The Gnutella dissector could cause an assertion (CAN-2005-0009)
- The MMSE dissector could free static memory. (CAN-2005-0010)
- The X11 protocol dissector is vulnerable to a string buffer 
  overflow. (CAN-2005-0084) 

* Tue Jan 18 2005 Radek Vokal <rvokal@redhat.com> 0.10.8-1.EL3.4
- plugins are back

* Tue Jan 11 2005 Radek Vokal <rvokal@redhat.com> 0.10.8-1.EL3.3
- added with-pic option

* Thu Jan 06 2005 Radek Vokal <rvokal@redhat.com> 0.10.8-1.EL3.2
- fixed spec file, renaming of libs is no longer needed
- LDFLAGS tuned

* Wed Dec 15 2004 Radek Vokal <rvokal@redhat.com> 0.10.8-1.EL3.1
- update to 0.10.8 due to security issues (#142952)
- changed mozilla default browser to htmlview (#142107)

* Fri Jul 23 2004 Phil Knirsch <pknirsch@redhat.com> 0.10.5-0.30E.2
- Rebuild with fixed plugins

* Fri Jul 09 2004 Phil Knirsch <pknirsch@redhat.com> 0.10.5-0.30E.1
- Update to ethereal-0.10.5 due to security fixes.

* Mon Jun 14 2004 Phil Knirsch <pknirsch@redhat.com>
- Included fix for segfault on ia64 (#113726).

* Fri May 28 2004 Phil Knirsch <pknirsch@redhat.com> 0.10.3-0.30E.2
- Included backported security fixes from ethereal-0.10.4

* Mon Mar 29 2004 Mark Cox <mjc@redhat.com> 0.10.3-0.30E.1
- Updated to latest upstream version 0.10.2

* Wed Mar 24 2004 Phil Knirsch <pknirsch@redhat.com> 0.10.2.20040324-0.30E.1
- Another updated to CVS version to fix more security problems.

* Mon Mar 15 2004 Phil Knirsch <pknirsch@redhat.com> 0.10.2-0.30E.1
- Updated to latest upstream version 0.10.2
- Make security errata.

* Wed Dec 17 2003 Phil Knirsch <pknirsch@redhat.com> 0.10.0a-0.30E.1
- Update to latest upstream version 0.10.0a

* Wed Nov 05 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.16-0.30E.1
- Updated to latest upstream version 0.9.16
- Make security errata.

* Wed Sep 17 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.13-4.1
- rebuilt

* Wed Sep 17 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.13-4
- rebuilt

* Tue Jul 22 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.13-3.1
- rebuilt

* Tue Jul 22 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.13-3
- Enable ia64 again, compiler problem is fixed. :-)

* Tue Jul 15 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.13-2
- rebuilt

* Mon Jul 14 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.13-1.2
- Disabled ia64 due to compiler problems.

* Tue Jun 17 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.13-1.1
- rebuilt

* Tue Jun 17 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.13-1
- Updated to 0.9.13 for security reasons.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 15 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.11-3
- Bump release and rebuild.

* Fri Mar 28 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.11-2
- Updated to latest upstream version 0.9.11

* Mon Mar 10 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.9-3
- Fixed pam file bug (#85793).

* Fri Feb 28 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.9-2
- Update to 0.9.9.

* Wed Feb 19 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.8-6
- Fixed unecessary SIG_IGN for SIGCHLD (#84094).

* Thu Jan 23 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.8-5
- Fixed overflow bug in time display (#80943, 2nd part).
- Reenabled autoFOO stuff as ia64 has problems building.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 0.9.8-4
- rebuilt

* Tue Jan 14 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.8-3
- Fixed bug #80943 (old .desktop file).
- Some cleanup with sources.

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.8-2
- Rebuild.

* Thu Dec 19 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.8-1
- Updated to 0.9.8. Fixes security bug (#79490).
- Included Swedish translation for desktop entry (#71874).

* Mon Nov 11 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.7-2
- Remove directory names from the PAM config, allowing it to work for both
  arches on multilib boxes.
- Drop the Icon: from the package.

* Thu Nov 08 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.7-1
- Included a few more nifty tools in from newer releases.
- Fixed a couple of broken %files things.
- Update to 0.9.7

* Wed Aug 21 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.6-1
- Update to 0.9.6 because of another security problem.

* Wed Aug 07 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.5-3
- Desktop file fixes (#69386).

* Tue Jul 30 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.5-2
- Added support for pam timestamp.
- Remove unnecessary gnome-core requirement for ethereal-gnome.

* Mon Jul 15 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.5-1
- Updated to latest released version.

* Thu Jun 27 2002 Elliot Lee <sopwith@redhat.com> 0.9.4-5
- Put -DUCD_COMPATIBLE (and a bunch of other BadHacks) into CPPFLAGS
  so that it really builds with new net-snmp

* Thu Jun 27 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.4-4
- Bumped and rebuild in new environment.
- Changed requirement to net-snmp from ucd-snmp.
- Added -DUCD_COMPATIBLE to build with new net-snmp.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.9.4-3
- automated rebuild

* Tue Jun 18 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.4-2
- Fixed wrong gtk requirement on base package (#66866).

* Mon Jun 03 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.4-1
- Update to 0.9.4

* Thu May 23 2002 Tim Powers <timp@redhat.com> 0.9.3-4
- automated rebuild

* Mon Apr 15 2002 Tim Powers <timp@redhat.com>
- rebuilt in new environment

* Mon Apr 15 2002 Tim Powers <timp@redhat.com>
- rebuilt against updated ucd-snmp

* Sun Apr 14 2002 Phil Knirsch <pknirsch@redhat.com>
- Updated to latest release (0.9.3) due to security fixes (#63260).

* Tue Mar 26 2002 Phil Knirsch <pknirsch@redhat.com>
- Bump release number to avoid conflicts with rawhide.
- Changed description of ethereal-gnome package to be more precise about the
  intention of this package (#57980)

* Thu Jan 24 2002 Phil Knirsch <pknirsch@redhat.com>
- Moved ethereal binary to the gnome package as it won't run without gnome (bug
  #55632).

* Sat Jan 12 2002 Pekka Savola <pekkas@netcore.fi>
- update 0.8.18-9 -> 0.9.0-1
- enable IPv6 now that it is being supported without patches
- require libpcap 0.6

* Thu Jul 19 2001 Phil Knirsch <pknirsch@redhat.de>
- Changed the BuildPrereq for openssl to openssl-devel (#49429)

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- removed packager tag to satisfy rpmlint
- don't include the .directory file
- added dep on usermode for ethereal
- moved the desktop files from Applications/Network to Internet

* Tue Jun 26 2001 Bill Nottingham <notting@redhat.com>
- rebuild in new environment again (ucd-snmp)

* Mon Jun 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment (ucd-snmp)

* Wed Jun 13 2001 Helge Deller <hdeller@redhat.de>
- Copyright is now License
- moved to group Applications/Internet

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- merged gtk/gnome packages into the gnome package
- merged the base and usermode packages into the main ethereal package

* Thu May 17 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.18
- Many improvement, take a look at NEWS in %{doc}
- Reduced the changelog history in .spec 

* Thu Apr 26 2001 Henri Gomez <hgomez@slib.fr>
- rebuilt under Redhat 6.2 + updates 
- reverted from rpm 4.0.2 to 3.0.5 for better compatibility with Redhat 6.x
- thanks Riku for the great refactory of the spec

* Thu Apr 26 2001 Riku Meskanen <mesrik@iki.fi>
- new binary package rearrangement, separated stuff that needs X11
- I changed, and I'm proposing group to Applications/Network for now ... as 
  the /usr/share/doc/rpm-*/GROUPS 'official' list does not have appropriate
  group for networking applications and leads them to be scattered around.
  The tcpdump is now at System/Internet and nmap from Applications/System, 
  the X11/* group is now on current distros mostly dead ... the X11/* tree 
  seems to still live on contrib packages. Well if it's necessary to show X11
  in group-name, I would rather suggest then Applications/Network{,ing}/X11 
  would make more sense and keep all applications closer together and all 
  it's bits and bobs easier locatable on multiple packages are built from
  one source package.

* Mon Apr 23 2001 Riku Meskanen <mesrik@iki.fi>
- rebuilt for RedHat 7.1
- created support for usermode
- added icons & config files for gnome and kde desktop integration
- added %dir %{_libdir}/ethereal/plugins to get clean uninstall
- further spec file minor cleaning, converted absolute paths to
  macros for better relocatability

* Sun Apr 16 2001  Henri Gomez <hgomez@slib.fr>
- 0.8.17 (grabbed corrected 0.8.17a archive)
- RPM built on Redhat 6.2, updates, rpm 4.0

* Tue Mar 06 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.16
- RPM built on Redhat 6.1, updates, rpm 3.0.5 and libpcap-0.4-19
- ucd-snmp used 0.4.2-5 (added -lcrypto)
